Loading...
Searching...
No Matches
LICM.h File Reference

Methods for lifting loop invariants out of inner loops. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::hoist_loop_invariant_values (Stmt)
| Hoist loop-invariants out of inner loops.
Stmt | Halide::Internal::hoist_loop_invariant_if_statements (Stmt)
| Just hoist loop-invariant if statements as far up as possible.

## Detailed Description

Methods for lifting loop invariants out of inner loops.

Definition in file LICM.h.